Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.chat.client
Class LocalStrategy

    java.lang.Object
      org.jboss.remoting.samples.chat.client.LocalStrategy

All Implemented Interfaces:
  ConnectionStrategy

    public class LocalStrategy

extends java.lang.Object
implements ConnectionStrategy

Field Summary
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`LocalStrategy(CloseableFrame parent, RemoteStrategy remoteStrategy)`

Method Summary
`void` | `create()`
`void` | `createChat(java.lang.String description, ChatMember owner)`
`void` | `getId(ChatInfo chatInfo)`
`void` | `getInfo(java.util.ArrayList chatInfoList, int key)`
`protected boolean` | `isChatting()`
`void` | `join(ChatInfo chatInfo, ChatMember newMember)`
`void` | `list()`
`void` | `notifyOnClose(java.awt.Component c)`
`protected void` | `setIsChatting(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

Constructor Detail

### LocalStrategy

    public LocalStrategy(CloseableFrame parent,
                         RemoteStrategy remoteStrategy)

Method Detail

### list

    public void list()

  Specified by:
    `list` in interface `ConnectionStrategy`

### create

    public void create()
                throws ConnectionException

  Specified by:
    `create` in interface `ConnectionStrategy`
  Throws:
    `ConnectionException`

### createChat

    public void createChat(java.lang.String description,
                           ChatMember owner)
                    throws CreateConnectionException

  Throws:
    `CreateConnectionException`

### join

    public void join(ChatInfo chatInfo,
                     ChatMember newMember)
              throws JoinConnectionException

  Throws:
    `JoinConnectionException`

### getId

    public void getId(ChatInfo chatInfo)

### getInfo

    public void getInfo(java.util.ArrayList chatInfoList,
                        int key)
                 throws ListConnectionException

  Throws:
    `ListConnectionException`

### notifyOnClose

    public void notifyOnClose(java.awt.Component c)

### isChatting

    protected boolean isChatting()

### setIsChatting

    protected void setIsChatting(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.